org.apache.jmeter.visualizers

## Class CachingStatCalculator

- java.lang.Object
- - org.apache.jmeter.visualizers.SamplingStatCalculator
  - - org.apache.jmeter.visualizers.CachingStatCalculator

    public class CachingStatCalculator
    extends SamplingStatCalculator

Provides storage of samples in addition to calculations

### Constructor Summary

Constructors
Constructor and Description
`CachingStatCalculator(String string)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Sample` `addSample(SampleResult res)` Records a sample.
`void` `clear()` Clear the counters (useful for differential stats)
`Sample` `getSample(int index)`
`List<Sample>` `getSamples()`

### Methods inherited from class org.apache.jmeter.visualizers.SamplingStatCalculator

`getAvgPageBytes, getBytesPerSecond, getCount, getCurrentSample, getDistribution, getElapsed, getErrorCount, getErrorPercentage, getKBPerSecond, getLabel, getMax, getMaxThroughput, getMean, getMeanAsNumber, getMedian, getMin, getPercentPoint, getPercentPoint, getRate, getSentBytesPerSecond, getSentKBPerSecond, getStandardDeviation, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CachingStatCalculator

    public CachingStatCalculator(String string)

### Method Detail

#### getSamples

    public List<Sample> getSamples()

#### getSample

    public Sample getSample(int index)

#### clear

    public void clear()

Description copied from class: `SamplingStatCalculator`
Clear the counters (useful for differential stats)

Overrides:
  `clear` in class `SamplingStatCalculator`

#### addSample

    public Sample addSample(SampleResult res)

Records a sample.

Overrides:
  `addSample` in class `SamplingStatCalculator`
Parameters:
  `res` - the sample to record
Returns:
  newly created sample with current statistics